Bug 1913999 - Deepin system monitor fails to start
Summary: Deepin system monitor fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-system-monitor
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: sensor.wen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 23:22 UTC by Michael
Modified: 2021-01-18 02:20 UTC (History)
4 users (show)

Fixed In Version: deepin-system-monitor-5.0.0-5.fc33.2 deepin-system-monitor-5.0.0-5.fc32.2
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-18 01:33:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael 2021-01-07 23:22:51 UTC
Description of problem:
Deepin system monitor fails to start on Fedora Workstation 33 (Gnome)


Version-Release number of selected component (if applicable):
Name         : deepin-system-monitor
Version      : 5.0.0
Release      : 5.fc33.1
Architecture : x86_64
Size         : 1.2 M
Source       : deepin-system-monitor-5.0.0-5.fc33.1.src.rpm
Repository   : @System
From repo    : fedora
Summary      : A more user-friendly system monitor
URL          : https://github.com/linuxdeepin/deepin-system-monitor
License      : GPLv3
Description  : A more user-friendly system monitor.


How reproducible:
Very

Steps to Reproduce:
1. sudo dnf install deepin-system-monitor
2. run deepin-system-monitor 

Actual results:
Deepin system monitor does not open and the following output is produced if running in a terminal:

```
QSocketNotifier: Can only be used with threads started with QThread
Segmentation fault (core dumped)
```

Expected results:
Deepin system monitor should open

Additional info:

I believe this is a dependency issue. Installing the following fixes the problem for me:

sudo dnf install deepin-qt5integration

Comment 1 Fedora Update System 2021-01-09 11:05:31 UTC
FEDORA-2021-7bd74045cf has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7bd74045cf

Comment 2 Fedora Update System 2021-01-09 11:05:32 UTC
FEDORA-2021-702b5f388a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-702b5f388a

Comment 3 Fedora Update System 2021-01-10 01:35:06 UTC
FEDORA-2021-702b5f388a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-702b5f388a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-702b5f388a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-01-10 02:17:40 UTC
FEDORA-2021-7bd74045cf has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7bd74045cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7bd74045cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-01-18 01:33:44 UTC
FEDORA-2021-702b5f388a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-01-18 02:20:15 UTC
FEDORA-2021-7bd74045cf has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.